aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/sysvinit/sysvinit/jlime/rcS
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/sysvinit/sysvinit/jlime/rcS')
-rwxr-xr-xrecipes/sysvinit/sysvinit/jlime/rcS56
1 files changed, 56 insertions, 0 deletions
diff --git a/recipes/sysvinit/sysvinit/jlime/rcS b/recipes/sysvinit/sysvinit/jlime/rcS
new file mode 100755
index 0000000000..90af4149e4
--- /dev/null
+++ b/recipes/sysvinit/sysvinit/jlime/rcS
@@ -0,0 +1,56 @@
+#!/bin/sh
+#
+# rcS Call all S??* scripts in /etc/rcS.d in
+# numerical/alphabetical order.
+#
+# Version: @(#)/etc/init.d/rcS 2.76 19-Apr-1999 miquels@cistron.nl
+#
+
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+runlevel=S
+prevlevel=N
+umask 022
+export PATH runlevel prevlevel
+
+# Make sure proc is mounted
+#
+[ -d "/proc/1" ] || mount /proc
+
+#
+# See if system needs to be setup. This is ONLY meant to
+# be used for the initial setup after a fresh installation!
+#
+if [ -x /sbin/unconfigured.sh ]
+then
+ /sbin/unconfigured.sh
+fi
+
+#
+# Source defaults.
+#
+. /etc/default/rcS
+
+#
+# Trap CTRL-C &c only in this shell so we can interrupt subprocesses.
+#
+trap ":" INT QUIT TSTP
+
+#
+# Call all parts in order.
+#
+exec /etc/init.d/rc S
+
+#
+# For compatibility, run the files in /etc/rc.boot too.
+#
+[ -d /etc/rc.boot ] && run-parts /etc/rc.boot
+
+#
+# Finish setup if needed. The comment above about
+# /sbin/unconfigured.sh applies here as well!
+#
+if [ -x /sbin/setup.sh ]
+then
+ /sbin/setup.sh
+fi
+